[arch-commits] Commit in efibootmgr/repos (6 files)

Tobias Powalowski tpowa at nymeria.archlinux.org
Mon Jun 3 19:32:00 UTC 2013


    Date: Monday, June 3, 2013 @ 21:31:59
  Author: tpowa
Revision: 187100

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  efibootmgr/repos/extra-i686/PKGBUILD
    (from rev 187099, efibootmgr/trunk/PKGBUILD)
  efibootmgr/repos/extra-i686/efibootmgr-tilt_slashes-func.patch
    (from rev 187099, efibootmgr/trunk/efibootmgr-tilt_slashes-func.patch)
  efibootmgr/repos/extra-x86_64/PKGBUILD
    (from rev 187099, efibootmgr/trunk/PKGBUILD)
  efibootmgr/repos/extra-x86_64/efibootmgr-tilt_slashes-func.patch
    (from rev 187099, efibootmgr/trunk/efibootmgr-tilt_slashes-func.patch)
Deleted:
  efibootmgr/repos/extra-i686/PKGBUILD
  efibootmgr/repos/extra-x86_64/PKGBUILD

-------------------------------------------------+
 /PKGBUILD                                       |   98 ++++++++++++++++++++++
 extra-i686/PKGBUILD                             |   46 ----------
 extra-i686/efibootmgr-tilt_slashes-func.patch   |   61 +++++++++++++
 extra-x86_64/PKGBUILD                           |   46 ----------
 extra-x86_64/efibootmgr-tilt_slashes-func.patch |   61 +++++++++++++
 5 files changed, 220 insertions(+), 92 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2013-06-03 19:31:43 UTC (rev 187099)
+++ extra-i686/PKGBUILD	2013-06-03 19:31:59 UTC (rev 187100)
@@ -1,46 +0,0 @@
-# $Id$
-# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
-# Contributor : Murtuza Akhtari <inxsible at gmail dot com>
-# Contributor: Keshav P R <skodabenz at rocketmail dot com>
-
-pkgname=efibootmgr
-pkgver=0.6.0
-pkgrel=2
-pkgdesc="Tool to modify UEFI Firmware Boot Manager Variables."
-arch=('i686' 'x86_64')
-url="http://linux.dell.com/efibootmgr/"
-license=('GPL2')
-depends=('zlib' 'pciutils')
-makedepends=()
-provides=()
-options=(strip purge docs zipman !emptydirs)
-
-source=("http://linux.dell.com/efibootmgr/permalink/${pkgname}-${pkgver}.tar.gz")
-
-build () {	
-	rm -rf ${srcdir}/efibootmgr-${pkgver}_build/ || true
-	
-	cp -r ${srcdir}/efibootmgr-${pkgver} ${srcdir}/efibootmgr-${pkgver}_build
-	
-	cd ${srcdir}/efibootmgr-${pkgver}_build/
-	
-	echo
-	
-	CFLAGS= make
-	echo
-	
-}
-
-
-package() {
-	
-	mkdir -p ${pkgdir}/usr/bin/
-	mkdir -p ${pkgdir}/usr/share/man/man8/
-	
-	cd ${srcdir}/efibootmgr-${pkgver}_build/
-	
-	install -D -m755 ${srcdir}/efibootmgr-${pkgver}_build/src/efibootmgr/efibootmgr ${pkgdir}/usr/bin/efibootmgr
-	install -D -m644 ${srcdir}/efibootmgr-${pkgver}_build/src/man/man8/efibootmgr.8 ${pkgdir}/usr/share/man/man8/efibootmgr.8
-	
-}
-md5sums=('9e9a31d79e579644de83a14139b66d10')

Copied: efibootmgr/repos/extra-i686/PKGBUILD (from rev 187099, efibootmgr/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2013-06-03 19:31:59 UTC (rev 187100)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor : Murtuza Akhtari <inxsible at gmail dot com>
+# Contributor: Keshav P R <skodabenz at rocketmail dot com>
+
+pkgname=efibootmgr
+pkgver=0.6.0
+pkgrel=3
+pkgdesc="Tool to modify UEFI Firmware Boot Manager Variables."
+arch=('i686' 'x86_64')
+url="http://linux.dell.com/efibootmgr/"
+license=('GPL2')
+depends=('zlib' 'pciutils')
+makedepends=()
+provides=()
+options=(strip purge docs zipman !emptydirs)
+
+source=("http://linux.dell.com/efibootmgr/permalink/${pkgname}-${pkgver}.tar.gz"
+        "efibootmgr-tilt_slashes-func.patch"
+)
+
+build () {	
+	rm -rf ${srcdir}/efibootmgr-${pkgver}_build/ || true
+	
+	cp -r ${srcdir}/efibootmgr-${pkgver} ${srcdir}/efibootmgr-${pkgver}_build
+	
+	cd ${srcdir}/efibootmgr-${pkgver}_build/
+	patch -Np1 -i ${srcdir}/efibootmgr-tilt_slashes-func.patch
+	echo
+	
+	CFLAGS= make
+	echo
+	
+}
+
+
+package() {
+	
+	mkdir -p ${pkgdir}/usr/bin/
+	mkdir -p ${pkgdir}/usr/share/man/man8/
+	
+	cd ${srcdir}/efibootmgr-${pkgver}_build/
+	
+	install -D -m755 ${srcdir}/efibootmgr-${pkgver}_build/src/efibootmgr/efibootmgr ${pkgdir}/usr/bin/efibootmgr
+	install -D -m644 ${srcdir}/efibootmgr-${pkgver}_build/src/man/man8/efibootmgr.8 ${pkgdir}/usr/share/man/man8/efibootmgr.8
+	
+}
+md5sums=('9e9a31d79e579644de83a14139b66d10'
+         '3622c0e978cf859cae60803a6b6a0c5e')

Copied: efibootmgr/repos/extra-i686/efibootmgr-tilt_slashes-func.patch (from rev 187099, efibootmgr/trunk/efibootmgr-tilt_slashes-func.patch)
===================================================================
--- extra-i686/efibootmgr-tilt_slashes-func.patch	                        (rev 0)
+++ extra-i686/efibootmgr-tilt_slashes-func.patch	2013-06-03 19:31:59 UTC (rev 187100)
@@ -0,0 +1,61 @@
+diff --git a/src/efibootmgr/efibootmgr.c b/src/efibootmgr/efibootmgr.c
+index 236365a..9883961 100644
+--- a/src/efibootmgr/efibootmgr.c
++++ b/src/efibootmgr/efibootmgr.c
+@@ -803,6 +803,7 @@ usage()
+ 	printf("\t-V | --version          return version and exit\n");
+ 	printf("\t-w | --write-signature  write unique sig to MBR if needed\n");
+ 	printf("\t-@ | --append-binary-args file  append extra args from file (use \"-\" for stdin)\n");
++	printf("\t   | --help             show help/usage\n");
+ }
+ 
+ static void
+@@ -863,6 +864,7 @@ parse_opts(int argc, char **argv)
+ 			{"version",                no_argument, 0, 'V'},
+ 			{"write-signature",        no_argument, 0, 'w'},
+ 			{"append-binary-args", required_argument, 0, '@'},
++			{"help",                   no_argument, 0,   2},
+ 			{0, 0, 0, 0}
+ 		};
+ 
+@@ -1014,6 +1016,10 @@ parse_opts(int argc, char **argv)
+ 			opts.write_signature = 1;
+ 			break;
+ 
++		case 2:
++			usage();
++			exit(1);
++
+ 		default:
+ 			usage();
+ 			exit(1);
+diff --git a/src/lib/efi.c b/src/lib/efi.c
+index a4ce5cf..8ef8be8 100644
+--- a/src/lib/efi.c
++++ b/src/lib/efi.c
+@@ -70,6 +70,16 @@ efi_guid_unparse(efi_guid_t *guid, char *out)
+         return out;
+ }
+ 
++char *
++tilt_slashes(char *s)
++{
++	char *p;
++	for (p = s; *p; p++)
++		if (*p == '/')
++			*p = '\\';
++	return s;
++}
++
+ void
+ set_fs_kernel_calls()
+ {
+@@ -535,7 +545,7 @@ char *make_disk_load_option(char *p, char *disk)
+ 				     signature,
+ 				     mbr_type, signature_type);
+ 
+-    efichar_from_char(os_loader_path, opts.loader, sizeof(os_loader_path));
++    efichar_from_char(os_loader_path, tilt_slashes(opts.loader), sizeof(os_loader_path));
+     p += make_file_path_device_path (p, os_loader_path);
+     p += make_end_device_path       (p);
+ 

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2013-06-03 19:31:43 UTC (rev 187099)
+++ extra-x86_64/PKGBUILD	2013-06-03 19:31:59 UTC (rev 187100)
@@ -1,46 +0,0 @@
-# $Id$
-# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
-# Contributor : Murtuza Akhtari <inxsible at gmail dot com>
-# Contributor: Keshav P R <skodabenz at rocketmail dot com>
-
-pkgname=efibootmgr
-pkgver=0.6.0
-pkgrel=2
-pkgdesc="Tool to modify UEFI Firmware Boot Manager Variables."
-arch=('i686' 'x86_64')
-url="http://linux.dell.com/efibootmgr/"
-license=('GPL2')
-depends=('zlib' 'pciutils')
-makedepends=()
-provides=()
-options=(strip purge docs zipman !emptydirs)
-
-source=("http://linux.dell.com/efibootmgr/permalink/${pkgname}-${pkgver}.tar.gz")
-
-build () {	
-	rm -rf ${srcdir}/efibootmgr-${pkgver}_build/ || true
-	
-	cp -r ${srcdir}/efibootmgr-${pkgver} ${srcdir}/efibootmgr-${pkgver}_build
-	
-	cd ${srcdir}/efibootmgr-${pkgver}_build/
-	
-	echo
-	
-	CFLAGS= make
-	echo
-	
-}
-
-
-package() {
-	
-	mkdir -p ${pkgdir}/usr/bin/
-	mkdir -p ${pkgdir}/usr/share/man/man8/
-	
-	cd ${srcdir}/efibootmgr-${pkgver}_build/
-	
-	install -D -m755 ${srcdir}/efibootmgr-${pkgver}_build/src/efibootmgr/efibootmgr ${pkgdir}/usr/bin/efibootmgr
-	install -D -m644 ${srcdir}/efibootmgr-${pkgver}_build/src/man/man8/efibootmgr.8 ${pkgdir}/usr/share/man/man8/efibootmgr.8
-	
-}
-md5sums=('9e9a31d79e579644de83a14139b66d10')

Copied: efibootmgr/repos/extra-x86_64/PKGBUILD (from rev 187099, efibootmgr/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2013-06-03 19:31:59 UTC (rev 187100)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor : Murtuza Akhtari <inxsible at gmail dot com>
+# Contributor: Keshav P R <skodabenz at rocketmail dot com>
+
+pkgname=efibootmgr
+pkgver=0.6.0
+pkgrel=3
+pkgdesc="Tool to modify UEFI Firmware Boot Manager Variables."
+arch=('i686' 'x86_64')
+url="http://linux.dell.com/efibootmgr/"
+license=('GPL2')
+depends=('zlib' 'pciutils')
+makedepends=()
+provides=()
+options=(strip purge docs zipman !emptydirs)
+
+source=("http://linux.dell.com/efibootmgr/permalink/${pkgname}-${pkgver}.tar.gz"
+        "efibootmgr-tilt_slashes-func.patch"
+)
+
+build () {	
+	rm -rf ${srcdir}/efibootmgr-${pkgver}_build/ || true
+	
+	cp -r ${srcdir}/efibootmgr-${pkgver} ${srcdir}/efibootmgr-${pkgver}_build
+	
+	cd ${srcdir}/efibootmgr-${pkgver}_build/
+	patch -Np1 -i ${srcdir}/efibootmgr-tilt_slashes-func.patch
+	echo
+	
+	CFLAGS= make
+	echo
+	
+}
+
+
+package() {
+	
+	mkdir -p ${pkgdir}/usr/bin/
+	mkdir -p ${pkgdir}/usr/share/man/man8/
+	
+	cd ${srcdir}/efibootmgr-${pkgver}_build/
+	
+	install -D -m755 ${srcdir}/efibootmgr-${pkgver}_build/src/efibootmgr/efibootmgr ${pkgdir}/usr/bin/efibootmgr
+	install -D -m644 ${srcdir}/efibootmgr-${pkgver}_build/src/man/man8/efibootmgr.8 ${pkgdir}/usr/share/man/man8/efibootmgr.8
+	
+}
+md5sums=('9e9a31d79e579644de83a14139b66d10'
+         '3622c0e978cf859cae60803a6b6a0c5e')

Copied: efibootmgr/repos/extra-x86_64/efibootmgr-tilt_slashes-func.patch (from rev 187099, efibootmgr/trunk/efibootmgr-tilt_slashes-func.patch)
===================================================================
--- extra-x86_64/efibootmgr-tilt_slashes-func.patch	                        (rev 0)
+++ extra-x86_64/efibootmgr-tilt_slashes-func.patch	2013-06-03 19:31:59 UTC (rev 187100)
@@ -0,0 +1,61 @@
+diff --git a/src/efibootmgr/efibootmgr.c b/src/efibootmgr/efibootmgr.c
+index 236365a..9883961 100644
+--- a/src/efibootmgr/efibootmgr.c
++++ b/src/efibootmgr/efibootmgr.c
+@@ -803,6 +803,7 @@ usage()
+ 	printf("\t-V | --version          return version and exit\n");
+ 	printf("\t-w | --write-signature  write unique sig to MBR if needed\n");
+ 	printf("\t-@ | --append-binary-args file  append extra args from file (use \"-\" for stdin)\n");
++	printf("\t   | --help             show help/usage\n");
+ }
+ 
+ static void
+@@ -863,6 +864,7 @@ parse_opts(int argc, char **argv)
+ 			{"version",                no_argument, 0, 'V'},
+ 			{"write-signature",        no_argument, 0, 'w'},
+ 			{"append-binary-args", required_argument, 0, '@'},
++			{"help",                   no_argument, 0,   2},
+ 			{0, 0, 0, 0}
+ 		};
+ 
+@@ -1014,6 +1016,10 @@ parse_opts(int argc, char **argv)
+ 			opts.write_signature = 1;
+ 			break;
+ 
++		case 2:
++			usage();
++			exit(1);
++
+ 		default:
+ 			usage();
+ 			exit(1);
+diff --git a/src/lib/efi.c b/src/lib/efi.c
+index a4ce5cf..8ef8be8 100644
+--- a/src/lib/efi.c
++++ b/src/lib/efi.c
+@@ -70,6 +70,16 @@ efi_guid_unparse(efi_guid_t *guid, char *out)
+         return out;
+ }
+ 
++char *
++tilt_slashes(char *s)
++{
++	char *p;
++	for (p = s; *p; p++)
++		if (*p == '/')
++			*p = '\\';
++	return s;
++}
++
+ void
+ set_fs_kernel_calls()
+ {
+@@ -535,7 +545,7 @@ char *make_disk_load_option(char *p, char *disk)
+ 				     signature,
+ 				     mbr_type, signature_type);
+ 
+-    efichar_from_char(os_loader_path, opts.loader, sizeof(os_loader_path));
++    efichar_from_char(os_loader_path, tilt_slashes(opts.loader), sizeof(os_loader_path));
+     p += make_file_path_device_path (p, os_loader_path);
+     p += make_end_device_path       (p);
+ 




More information about the arch-commits mailing list